#!/bin/bash
if [ ! "$(cat /proc/cpuinfo | grep 'Raspberry')" != "" ]; then
cat > /bin/ipv6on-custom <<- "EOF"
#!/bin/bash

# Verificar si el usuario tiene permisos de root
if [[ $EUID -ne 0 ]]; then
    echo "Este script debe ejecutarse como usuario ROOT"
    exit 1
fi

# Activar y habilitar IPv6 en el sistema
echo "Activando y habilitando IPv6..."

# Modificar sysctl.conf para habilitar IPv6
sed -i '/net.ipv6.conf.all.disable_ipv6/d' /etc/sysctl.conf
sed -i '/net.ipv6.conf.default.disable_ipv6/d' /etc/sysctl.conf
sed -i '/net.ipv6.conf.lo.disable_ipv6/d' /etc/sysctl.conf
sed -i '/net.ipv6.conf.eth0.disable_ipv6/d' /etc/sysctl.conf

echo "net.ipv6.conf.eth0.disable_ipv6 = 1" >> /etc/sysctl.conf

# Aplicar los cambios de sysctl
sysctl -p

# Habilitar IPv6 en GRUB
sed -i 's/ipv6.disable=1//g' /etc/default/grub
update-grub

# Reiniciar para aplicar los cambios
echo "Reiniciando el sistema para aplicar los cambios..."
whiptail --title "Reinicio Requerido" --msgbox "* Debe reiniciar para aplicar los cambios.\n\nPresione Enter para reiniciar el equipo.\n\n\n* Need to reboot to apply the changes\n\nPress Enter to restart your computer" 15 60

# Reiniciar para aplicar los cambios
echo "Reboot..."
sudo reboot

EOF

sudo chmod +x /bin/ipv6on-custom
ipv6on-custom
fi
